clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
120
120.9
121.8
122.7
123.6
124.5
125.4
126.3
127.2
128.1
129
129.9
130.8
131.7
132.6
133.5
134.4
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000797535	0.000870627	0.000966417	0.00109612	0.00127986	0.00155775;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000801291	0.000875023	0.00097162	0.00110238	0.00128757	0.00156761;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000805051	0.000879423	0.000976827	0.00110864	0.00129529	0.00157747;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000808816	0.000883828	0.000982039	0.00111491	0.00130301	0.00158734;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000812587	0.000888237	0.000987253	0.00112118	0.00131073	0.0015972;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000816362	0.000892651	0.000992472	0.00112745	0.00131845	0.00160707;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000759874	0.000820143	0.000897069	0.000997694	0.00113373	0.00132618	0.00161694;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000763141	0.000823928	0.00090149	0.00100292	0.00114001	0.00133391	0.00162681;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000766411	0.000827718	0.000905917	0.00100815	0.00114629	0.00134164	0.00163669;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000769688	0.000831513	0.000910348	0.00101338	0.00115257	0.00134937	0.00164656;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000772969	0.000835312	0.000914782	0.00101862	0.00115886	0.00135711	0.00165643;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000776255	0.000839115	0.000919221	0.00102386	0.00116515	0.00136484	0.00166631;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000779546	0.000842924	0.000923663	0.0010291	0.00117144	0.00137258	0.00167619;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000782842	0.000846736	0.000928108	0.00103435	0.00117774	0.00138032	0.00168606;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000786143	0.000850552	0.000932558	0.0010396	0.00118403	0.00138807	0.00169594;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000789447	0.000854373	0.000937011	0.00104485	0.00119033	0.00139581	0.00170582;
0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000758602	0.000792757	0.000858197	0.000941468	0.0010501	0.00119663	0.00140355	0.0017157];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','p',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0006 0.0017157])
ylim([120E9 134.4E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([120E9 122.5E9 125E9 127.5E9 130E9 132E9 134.4E9])
zticks([0.000758602 0.00095 0.00115 0.00135 0.00155 0.0017157])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-20Ta-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_20TaDoped_strainenergy_LLZO_48e.eps
print -dpng Highload_20TaDoped_strainenergy_LLZO_48e.png